Subject: Help with tar support

From: Sheryl Coppenger <[email-masked]>
Date: Fri, 24 Mar 1995 12:44:44 -0500 (EST)

Greetings,

I'm hoping someone can help me with getting the automatic tar option
to go.  There aren't many references in the doc directory and I don't
know where to look.  I'm running wu-ftpd 2.4 on a SPARC Classic running
Solaris 2.3.

I have this entry in ftpaccess

	tar             yes             local remote

and have /usr/sbin/tar as the path in ftpconversions for tar, tar.Z, tar.gz.
I copied Sun's tar binary to ~ftp/usr/sbin/tar and it has 111 permissions.
When I do anonymous ftp to my server and try to ftp  xyz.tar where xyz
is a directory and xyz.tar does not exist:

ftp> binary
200 Type set to I.
ftp> get contents.tar
200 PORT command successful.
150 Opening BINARY mode data connection for /usr/sbin/tar.
226 Transfer complete.
ftp>

A zero-length file is created on the machine I'm trying to "get" the file to.
This is the entry written to my xferlog file:

Fri Mar 24 11:13:38 1995 1 gypsy 0 /pub/slak/contents.tar b T o a [email-masked] ftp 0 *

I used the script that comes in the Sun ftp man page to set up the libraries
and haven't had a problem with dir or some of the other things that tend
to plague people.  But I have to wonder if this isn't a library problem.
Any ideas?  I know I can try GNU tar, but I'd rather get it working with
the Sun version if possible.

Thanks in advance.

-- 

Sheryl Coppenger    SEAS Computing Facility Staff        [email-masked]
               	    The George Washington University     (202) 994-6853